Installation unter Ubuntu

Hier finden YaCy User Hilfe wenn was nicht funktioniert oder anders funktioniert als man dachte. Bei offensichtlichen Fehlern diese bitte gleich in die Bugs (http://bugs.yacy.net) eintragen.
Forumsregeln
In diesem Forum geht es um Benutzungsprobleme und Anfragen für Hilfe. Wird dabei ein Bug identifiziert, wird der thread zur Bearbeitung in die Bug-Sektion verschoben. Wer hier also einen Thread eingestellt hat und ihn vermisst, wird ihn sicherlich in der Bug-Sektion wiederfinden.

Installation unter Ubuntu

Beitragvon elehchr » Sa Okt 01, 2016 3:45 pm

Hallo zusammen,
leider bekomme ich auf meinem Ubuntu-Rechner Yacy nicht zum laufen. Da ich diesbezüglich scheinbar zu wenig Ahnung habe, hoffe ich mal, dass mir hier jemand helfen kann.

Wenn ich mit dem Befehl "sudo apt-get install yacy" Yacy installieren möchte, bekomme ich auch die Konfiguration angezeigt.
-> "name for YaCy-peer"
-> "Admin password"
-> "Choose network to participate"
-> "Initial java memory setting" = default 180
-> "Maximum java memory" = default 600

und dann bekomme anschliessend diese Fehlermeldung:

Code: Alles auswählen
sudo apt-get install yacy
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Die folgenden NEUEN Pakete werden installiert:
  yacy
0 aktualisiert, 1 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.
Es müssen noch 0 B von 49,6 MB an Archiven heruntergeladen werden.
Nach dieser Operation werden 66,1 MB Plattenplatz zusätzlich benutzt.
N: Datei »yacy.listecho« in Verzeichnis »/etc/apt/sources.list.d/« wird ignoriert, da sie eine ungültige Dateinamen-Erweiterung hat.
Vorkonfiguration der Pakete ...
Vormals nicht ausgewähltes Paket yacy wird gewählt.
(Lese Datenbank ... 288763 Dateien und Verzeichnisse sind derzeit installiert.)
Vorbereitung zum Entpacken von .../yacy_1.90.9000_all.deb ...
Entpacken von yacy (1.90.9000) ...
Trigger für systemd (229-4ubuntu10) werden verarbeitet ...
Trigger für ureadahead (0.100.0-19) werden verarbeitet ...
ureadahead will be reprofiled on next reboot
yacy (1.90.9000) wird eingerichtet ...
Job for yacy.service failed because the control process exited with error code. See "systemctl status yacy.service" and "journalctl -xe" for details.
invoke-rc.d: initscript yacy, action "start" failed.
dpkg: Fehler beim Bearbeiten des Paketes yacy (--configure):
Unterprozess installiertes post-installation-Skript gab den Fehlerwert 1 zurück
Trigger für systemd (229-4ubuntu10) werden verarbeitet ...
Trigger für ureadahead (0.100.0-19) werden verarbeitet ...
Fehler traten auf beim Bearbeiten von:
yacy
N: Datei »yacy.listecho« in Verzeichnis »/etc/apt/sources.list.d/« wird ignoriert, da sie eine ungültige Dateinamen-Erweiterung hat.
E: Sub-process /usr/bin/dpkg returned an error code (1)


Und weiter komme ich irgendwie nicht. Ich vermute mal, dass Java irgendwie den Fehler verursacht, aber das ist nur ein "Bauchgefühl".
Kann mir jemand einen Tipp oder vielleicht sogar eine Lösung geben?
Wäre über Hilfe sehr dankbar.

Grüße!

P.S. Ich verwende Ubuntu 16.04
Code: Alles auswählen
java -version
openjdk version "9-internal"
OpenJDK Runtime Environment (build 9-internal+0-2016-04-14-195246.buildd.src)
OpenJDK 64-Bit Server VM (build 9-internal+0-2016-04-14-195246.buildd.src, mixed mode)
elehchr
 
Beiträge: 2
Registriert: Sa Okt 01, 2016 3:21 pm

Re: Installation unter Ubuntu

Beitragvon elehchr » Mo Okt 03, 2016 11:21 am

OK hat sich erledigt. Habe mittlerweile aufgegeben und bin auf Windows10 umgestiegen. Jetzt läuft Yacy auch problemlos.
elehchr
 
Beiträge: 2
Registriert: Sa Okt 01, 2016 3:21 pm

Re: Installation unter Ubuntu

Beitragvon ds810 » Mo Okt 03, 2016 11:22 am

Hallo elehchr,

versuche folgendes:
* lade in aktuellste Version herunter und entpacke den Inhalt in ein Verzeichnis (http://yacy.de/release/yacy_v1.90_20160704_9000.tar.gz)
* öffne den Terminal und navigiere in das Verzeichnis mit dem enpackten Inhalt
* stelle sicher, dass java auf deinem System installiert ist
* starte YACY mit folgendem Befehl:
Code: Alles auswählen
./startYACY.sh

* nach wenigen Sekunden müsstest du in deinem Browser YACY unter
Code: Alles auswählen
127.0.0.1:8090
erreichen können
ds810
 
Beiträge: 52
Registriert: Mo Mär 16, 2015 8:03 pm
Wohnort: Fürth

Re: Installation unter Ubuntu

Beitragvon TmoWizard » Mo Okt 03, 2016 11:32 am

Hallöchen!

elehchr hat geschrieben:P.S. Ich verwende Ubuntu 16.04


Paßt doch, YaCy muß damit funktionieren, aber:

elehchr hat geschrieben:
Code: Alles auswählen
java -version
openjdk version "9-internal"
OpenJDK Runtime Environment (build 9-internal+0-2016-04-14-195246.buildd.src)
OpenJDK 64-Bit Server VM (build 9-internal+0-2016-04-14-195246.buildd.src, mixed mode)


Dir ist schon klar, daß Java 9 noch im Versuchsstadium ist und auf einem produktiven System nichts verloren hat! Trenne dich von diesem Schrott und verwende Java 8, dann klappt das auch mit YaCy!
TmoWizard
 
Beiträge: 87
Registriert: So Jul 13, 2014 3:32 pm
Wohnort: Augsburg

Re: Installation unter Ubuntu

Beitragvon leave » Di Okt 04, 2016 11:26 pm

Hallo,

Dir ist schon klar, daß Java 9 noch im Versuchsstadium ist und auf einem produktiven System nichts verloren hat! Trenne dich von diesem Schrott und verwende Java 8, dann klappt das auch mit YaCy!

kann ich nicht bestätigen.
Hatte auch damit Probleme.
Das Ubuntu-Packet hat also eine Macke.
Und da es keine Man-page hat, die Konfigurationen überall verstreut sind, und man keine Ahnung hat was genau man dort wo eintragen soll, habe ich das ganze aus dem Tar-Archiv installiert und es lief, womit ich dann meine htaccess-Frage stellen konnte.

Gruß

leave

P.s.:
Mir ist klar das man auch im Forum suchen kann, etc.
Aber wenn man 1000 Quellen stückweise selbst zusammensetzten muss kann man es auch gleich einfacher machen, nach dem K.I.S.S.-Prinzip halt. ;)
leave
 
Beiträge: 3
Registriert: Do Sep 29, 2016 2:14 am


Zurück zu Fragen und Antworten

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 2 Gäste

cron